#include <Arduino.h>

//Definicion de pines arduino
#define LEFT_MOTOR_DIRECTION          7
#define RIGHT_MOTOR_DIRECTION         4
#define LEFT_MOTOR_SPEED              5
#define RIGHT_MOTOR_SPEED             6
#define ENCODER                       8

#define LOWEST_SPEED                  255
#define HIGHEST_SPEED                 255
#define STOP_MOTOR                    0
#define GOING_FORWARD                 HIGH
#define GOING_BACKWARD                LOW
#define ENCODER_ON                    LOW
#define ENCODER_OFF                   HIGH

/*Control de movimiento del vehiculo
 *@param command direccion del moviminto
 *@param value valor de movimiento en cm
 */
bool motorsControl(char command, unsigned int value);

/*Cuenta los pasos del encoder
 * @param steps pasos a contar
*/
void countSteps(unsigned int steps);
void forward();
void backward();
void left();
void right();
void stop();
