﻿using System;

//Clase que se encarga del control del servo (envio de comando a Arduino)
public static class MoveServo
{
    public static void inicialize()
    {
        toAngle(0);
    }
    public static bool toAngle(UInt16 degrees)
    {
        if ( (degrees < 0) || (degrees > 180) )
        {
            return false;
        }
        
        if ( Command.send('S', degrees) )
        {
            return true;
        }
        return false;
    }
}
