﻿using System;

//Clase que se encarga del movimiento del vehiculo (envio de comandos a Arduino)
public static class MoveVehicle
{
    public static bool forward(UInt16 centimeters)
    {
        if ( Command.send('F', centimeters) )
        {
            return true;
        }
        return false;
    }
    public static bool backward(UInt16 centimeters)
    {
        if ( Command.send('B', centimeters) )
        {
            return true;
        }
        return false;
    }
    public static bool toTheLeft(UInt16 degrees)
    {
        if ( Command.send('L', degrees) )
        {
            return true;
        }
        return false;
    }
    public static bool toTheRight(UInt16 degrees)
    {
        if ( Command.send('R', degrees) )
        {
            return true;
        }
        return false;
    }
}
